package com.zbkj.service.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.zbkj.common.model.place.PlaceRegister;
import com.zbkj.common.request.*;
import com.zbkj.common.response.PlaceRegisterResponse;
import com.zbkj.common.vo.PlaceRegisterVo;

import java.util.List;


public interface PlaceRegisterService extends IService<PlaceRegister> {

    Boolean subscribe(PlaceRegisterFrontRequest request);

    PageInfo<PlaceRegisterVo> getAdminList(PlaceRegisterSearchRequest request, PageParamRequest pageParamRequest);

    Boolean updateRegister(Integer id, PlaceRegisterRequest request);

    PlaceRegister getDetail(Integer id);

    PageInfo<PlaceRegisterResponse> myRegisterList(PageParamRequest pageParamRequest);

    Boolean cancel(PlaceCancelRequest request);

    Boolean recordsDelete(Integer id);

}

